;
; struktura naglowka PE
;
	signature			equ	0	; sygnatura PE,0,0
	cputype				equ	4	; typ procesora i386,i486 etc...
	numObj				equ	6	; liczba sekcji
	timestamp			equ	8	; data kompilacji
	symboltable			equ	12	;
	symbolnum			equ	16	;
	NtHeaderSize			equ	20	; rozmiar opcjonalnego naglowka
	DllFlags			equ	22	; flagi dla pliku PE(np. DLL...)
	reserved3			equ	24	; nie uzywane
	lmajor				equ	26	; linker major
	lminor				equ	27	; linker minor
	codesize			equ	28	; rozmiar kodu
	initdatasize			equ	32	; rozmiar danych zainicjalizowanych
	uninitdatasize			equ	36	; rozmiar danych niezainicjalizowanych
	entrypointRVA			equ	40	; adres startowy gdzie zaczyna sie wykonywanie kodu
	baseofcode			equ	44	; baza kodu(RVA)
	baseofdata			equ	48	; baza danych(RVA)
	imagebase			equ	52	; baza pod jaka ladowany jest plik PE
	objalign			equ	56	; wyrownanie sekcji w pamieci
	filealign			equ	60	; wyrownanie sekcji w pliku
	imagesize			equ	80	; rozmiar obrazu pliku w pamieci
	headersize			equ	84	; rozmiar wszystkich naglowkow(DOS+PE+tabela sekcji)
	checksum			equ	88	; suma crc
	subsystem			equ	92	; typ pliku
	dllflags			equ	94	; nie uzywane
	loaderflags			equ	112	; nie uzywane
;
; data directory
;
	edatadir			equ	120	; tabela eksportow
	edatadirsize			equ	124	; rozmiar tabeli eksportow

	import				equ	128	; tabela importow
	importsize			equ	132	; rozmiar tabeli importow(nie zawsze poprawny)

	resource			equ	136	; zasoby
	ressize				equ	140	; rozmiar

	exception			equ	144	; nie uzywane
	exceptionsize			equ	148	; nie uzywane

	security			equ	152	; nie uzywane
	securitysize			equ	156	; nie uzywane

	reloc				equ	160	; tabela relockaji(tylko dla DLLi)
	relocsize			equ	164	; rozmiar

	debug				equ	168	; nie uzywane
	debugsize			equ	172	; nie uzywane

	description			equ	176	; nie uzywane
	descriptionsize			equ	180	; nie uzywane

	mipsgp				equ	184	; nie uzywane
	mipsgpsize			equ	188	; nie uzywane

	tls				equ	192	; thread local storage
	tlssize				equ	196	;

	config				equ	200	; nie uzywane	
	configsize			equ	204	; nie uzywane

	bimport				equ	208	; binded imports
	bimportsize			equ	212	;

	entryiat			equ	216	; tabela importow, 2 raz
	entryiatsize			equ	220

	dimport				equ	224	; delay import
	dimportsize			equ	228

	comruntime			equ	232	; nie uzywane
	comruntimesize			equ	236	; nie uzywane

	rreserved			equ	240	; nie uzywane
	rreservedsize			equ	244	; DWORD gdzie sa ustawiane flagi
							; PE protektorow/pakerow

;
; struktura naglowka sekcji
;
	objname				equ	0	; nazwa sekcji		2DWORD
	objvsize			equ	8	; wir. rozmiar sekcji	DWORD
	objrva				equ	12	; RVA sekcji		DWORD
	objpsize			equ	16	; rozmiar fizyczny	DWORD
	objpoff				equ	20	; offset w pliku	DWORD
	objrle				equ	24	; relokacje		DWORD
	objline				equ	28	; linenumbers		DWORD
	objrlenum			equ	32	; liczba relokacji	WORD
	objlinenum			equ	34	; no of	linenumbers	WORD
	objflags			equ	36	; flagi sekcji		DWORD

	objlen				equ	40	; rozmiar naglowka sekcji

	MEMF struct
		mem_ptr		dd ?
		mem_handle	dd ?
		file_handle	dd ?
		file_size	dd ?
	MEMF ends
	MEMF_		equ 4*4
